package com.tzld.piaoquan.api.dao.mapper.wecom.thirdpart;

import com.tzld.piaoquan.api.model.po.wecom.thirdpart.ThirdPartWeComStaffConfigTask;
import com.tzld.piaoquan.api.model.po.wecom.thirdpart.ThirdPartWeComStaffConfigTaskExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ThirdPartWeComStaffConfigTaskMapper {
    long countByExample(ThirdPartWeComStaffConfigTaskExample example);

    int deleteByExample(ThirdPartWeComStaffConfigTaskExample example);

    int deleteByPrimaryKey(String id);

    int insert(ThirdPartWeComStaffConfigTask record);

    int insertSelective(ThirdPartWeComStaffConfigTask record);

    List<ThirdPartWeComStaffConfigTask> selectByExample(ThirdPartWeComStaffConfigTaskExample example);

    ThirdPartWeComStaffConfigTask selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") ThirdPartWeComStaffConfigTask record, @Param("example") ThirdPartWeComStaffConfigTaskExample example);

    int updateByExample(@Param("record") ThirdPartWeComStaffConfigTask record, @Param("example") ThirdPartWeComStaffConfigTaskExample example);

    int updateByPrimaryKeySelective(ThirdPartWeComStaffConfigTask record);

    int updateByPrimaryKey(ThirdPartWeComStaffConfigTask record);
}